Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class DefaultTxnHandlerFactoryImpl

`java.lang.Object
oracle.jbo.server.DefaultTxnHandlerFactoryImpl`

All Implemented Interfaces:
  TransactionHandlerFactory

public class DefaultTxnHandlerFactoryImpl
extends java.lang.Object
implements TransactionHandlerFactory

The default implementation of the `TransactionHandlerFactory` interface. Use to create "default" transaction handlers, which provide transaction handling when running under non-EJB platforms. Non-EJB platforms include LOCAL, 8i (Oracle8i), CORBA, and VB (Visibroker).

Since:
  JDeveloper 3.0
See Also:
  `TransactionHandlerFactory`, `DefaultTxnHandlerImpl`

Constructor Summary
`DefaultTxnHandlerFactoryImpl()`

Method Summary
`JTATransactionHandler` | `createJTATransactionHandler()`
`TransactionHandler` | `createTransactionHandler()` Uses the current database connection to create a transaction handler for a non-EJB platform.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTxnHandlerFactoryImpl

    public DefaultTxnHandlerFactoryImpl()

Method Detail

### createTransactionHandler

    public TransactionHandler createTransactionHandler()

  Uses the current database connection to create a transaction handler for a non-EJB platform.
  Specified by:
    `createTransactionHandler` in interface `TransactionHandlerFactory`
  Returns:
    a transaction handler object.

### createJTATransactionHandler

    public JTATransactionHandler createJTATransactionHandler()

  Specified by:
    `createJTATransactionHandler` in interface `TransactionHandlerFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.